Second virtual NIC on host gets configured to use DHCP, even though initial static configuration is

provided

02/09/2016 09:10 AM - Brad Buckingham

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Network   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1283954 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1283954

Description of problem:

Second virtual NIC on host gets configured to use DHCP, even though initial static configuration is provided

Version-Release number of selected component (if applicable):

Satellite 6.1.3

Any Compute Resource either VMware or RHEV

How reproducible:

100%

Steps to Reproduce:

1. Create a host for provisioning and add the second interface in the Network tab while creating the host with static IP address

2. Create 2 NICs in the Virtual Machine tab for the Compute Resource

3. Provision the system which successfully gets provisioned, but the second network information provided previous gets discarded

and a default values are assigned to it where BOOTPROTO is set to DHCP.

Actual results:

Second NIC static information is discarded and set as a DHCP

Expected results:

Should set the IP information as provided in the webUI

Additional info:

Screenshots attached to the bug for further information

History

#1 - 02/09/2016 09:28 AM - Dominic Cleal

- Status changed from New to Need more information

Can you please confirm if this happens on a stable release with Foreman 1.8+'s networking enhancements?  There has been a lot of work in this area

and kickstart installs should be fine with multiple interfaces.

#2 - 01/03/2017 04:06 AM - Marek Hulán

- Category set to Network

- Status changed from Need more information to Rejected

It works for me with recent Foreman, BOOTPROTO is set to none if the subnet boot mode is static. I think Dominic is right. I'm closing this, if you

have a reproducer with Foreman 1.8+ please reopen with reproducing steps. Thank you.
